package org.jboss.cache.buddyreplication;

import org.jboss.cache.Fqn;
import org.testng.annotations.Test;

/**
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 2.2.0
 */
@Test(groups = "functional")
public class BuddyFqnTransformerTest
{
   public void testActualFqn()
   {
      Fqn backupFqn = Fqn.fromString("/_BUDDY_BACKUP_/1.2.3.4_5678/a/b/c/d");
      assert BuddyFqnTransformer.getActualFqn(backupFqn).equals(Fqn.fromString("/a/b/c/d"));

      backupFqn = Fqn.fromString("/_BUDDY_BACKUP_/1.2.3.4_5678");

      Fqn actual = BuddyFqnTransformer.getActualFqn(backupFqn);

      assert actual.equals(Fqn.ROOT);
   }

   public void testBackupRootFqn()
   {
      Fqn backupFqn = Fqn.fromString("/_BUDDY_BACKUP_/1.2.3.4_5678/a/b/c/d");
      assert BuddyFqnTransformer.getBackupRootFromFqn(backupFqn).equals(Fqn.fromString("/_BUDDY_BACKUP_/1.2.3.4_5678")) : "Got " + BuddyFqnTransformer.getBackupRootFromFqn(backupFqn);
   }
}
